Update Counterparty Document
PATCH/v1/crossborder/counterparties/:id/documents/:doc_id
Update metadata (name, description, type) of a counterparty document.
Request
Path Parameters
Counterparty ID.
Counterparty document ID.
Header Parameters
- If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
- 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
- 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
- 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.
The replay-protection-schema allows the user to choose between 3 options:
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
- application/json
Body
required
Document name.
Document description.
Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]
Document type.
Responses
- 200
- 401
- 403
- 404
- 422
The counterparty document was updated successfully.
- application/json
- Schema
- Example (from schema)
Schema
Counterparty document ID.
Counterparty ID.
User ID.
File ID.
Document name.
Document description.
Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]
Document type.
Possible values: [PENDING_ANALYSIS, APPROVED, REJECTED]
Document status.
Document rejection reason.
Document created date.
Document updated date.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"counterparty_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"user_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"file_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"name": "Identity Document",
"description": "Front side of identity document",
"type": "IDENTITY",
"status": "PENDING_ANALYSIS",
"rejection_reason": "Document is expired",
"created_at": "2026-04-23T17:54:56.439Z",
"updated_at": "2026-04-23T17:54:56.439Z"
}
User authentication failed.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 401,
"error": "USER",
"message": "Access is denied."
}
User access denied.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 403,
"error": "USER",
"message": "Access denied to requested resource. User may not have sufficient permission."
}
The counterparty document was not found.
If any required params are missing or have invalid format or type.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 422,
"error": "USER",
"message": "Missing data.",
"code": "MISSING_DATA"
}